Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class ManageableType.ArrayComponent

    java.lang.Object
      de.grogra.reflect.MemberBase
          de.grogra.persistence.PersistenceField
              de.grogra.persistence.ManageableType.Field
                  de.grogra.persistence.ManageableType.ArrayComponent

All Implemented Interfaces:
  Field, FieldChain, Member

Enclosing class:
  ManageableType

    public final class ManageableType.ArrayComponent

extends ManageableType.Field

Field Summary

Fields inherited from class de.grogra.persistence.ManageableType.Field
`DEFINES_SHARED, FCO, GETS_COPY, HIDDEN, OBJECT_CLASS_MASK, SCO, UNMANAGED`

Fields inherited from class de.grogra.reflect.MemberBase
`annots, declaringType, descriptor, modifiers, name`

Fields inherited from interface de.grogra.reflect.Field
`FIELD_0, INTERFACE_MODIFIERS, MODIFIERS`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Method Summary
`boolean` | `overlaps(int[] tindices, FieldChain field, int[] findices)`

Methods inherited from class de.grogra.persistence.ManageableType.Field
`cast, concat, containsSCO, getArrayChain, getArrayComponent, getBoolean, getBoolean, getByte, getByte, getChar, getChar, getCloned, getDouble, getDouble, getFieldId, getFloat, getFloat, getInt, getInt, getLastField, getLong, getLong, getMaxValue, getMinValue, getObject, getObject, getQuantity, getSerializationMethod, getShallowSubchain, getShort, getShort, getSubfield, getType, insertBoolean, insertByte, insertChar, insertDouble, insertFloat, insertInt, insertLong, insertObject, insertShort, isArrayComponent, isGetReturningCopy, length, readObject, removeBoolean, removeByte, removeChar, removeDouble, removeFloat, removeInt, removeLong, removeObject, removeShort, setBoolean, setBoolean, setByte, setByte, setChar, setChar, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLong, setLong, setMaxValue, setMinValue, setObject, setObject, setObjectImpl, setQuantity, setShort, setShort, toString, writeObject`

Methods inherited from class de.grogra.persistence.PersistenceField
`get, get, getField, isWritable, set`

Methods inherited from class de.grogra.reflect.MemberBase
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Method Detail

### overlaps

    public boolean overlaps(int[] tindices,
                            FieldChain field,
                            int[] findices)

  Specified by:
    `overlaps` in interface `FieldChain`
  Overrides:
    `overlaps` in class `ManageableType.Field`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD